> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/59.-vaicajums-sanemt-asapplieddatasets.md).

# 59. Vaicājums: saņemt "AsAppliedDatasets"

Saņemt faktiski iesēto vai faktiski izkliedēto datu kopas

Iegūt visus "AsAppliedDatasets" par izvēlēto "Field". Datus var izgūt, izmantojot vispārīgus GraphQL vaicājumus, piemēram `getFarms` un `getFields` no saistītā "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" ir jāaugšupielādē iepriekš.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nosaukums
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nosaukums
        number #kopējais ģeofašu skaits 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #pilnīga informācija par katru atribūtu
          name #saite uz statistiku >> atribūts
          transliteratedName
          fullName #pareizs cilvēkam lasāms nosaukums
          vienība#mērvienības
        }

        usedMachines { #izmantotās mašīnas
          id
          sērijasNumurs
          operatoraId
        } 

        createdDate #entītijas izveides datums un laiks GeoPard
        updatedDate #pēdējā atjauninājuma datums un laiks
        operationId
        operationType
        operācijasFailaDatums #faila izveides datums un laiks, iegūts no metainformācijas 
        operācijasSākumaDatums #operācijas sākums, iegūts no metainformācijas
        
        statistika { #statistikas sadalījums katram atribūtam
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexKrāsuKodes
          klases
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nosaukums
        number #kopējais ģeofašu skaits 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #pilnīga informācija par katru atribūtu
          name #saite uz statistiku >> atribūts
          transliteratedName
          fullName #pareizs cilvēkam lasāms nosaukums
          vienība#mērvienības
        }

        usedMachines { #izmantotās mašīnas
          id
          sērijasNumurs
          operatoraId
        } 

        createdDate #entītijas izveides datums un laiks GeoPard
        updatedDate #pēdējā atjauninājuma datums un laiks
        operationId
        operationType
        operācijasFailaDatums #faila izveides datums un laiks, iegūts no metainformācijas 
        operācijasSākumaDatums #operācijas sākums, iegūts no metainformācijas
        
        statistika { #statistikas sadalījums katram atribūtam
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexKrāsuKodes
          klases
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/59.-vaicajums-sanemt-asapplieddatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
